<?php

namespace Litecms\Gallery\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class GalleryTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Gallery\Models\Gallery $gallery)
    {
        return [
            'id'                => $gallery->getRouteKey(),
            'key'               => [
                'public'    => $gallery->getPublicKey(),
                'route'     => $gallery->getRouteKey(),
            ], 
            'title'             => $gallery->title,
            'descriptions'      => $gallery->descriptions,
            'image'             => $gallery->image,
            'url'               => [
                'public'    => trans_url('gallery/'.$gallery->getPublicKey()),
                'user'      => guard_url('gallery/gallery/'.$gallery->getRouteKey()),
            ], 
            'status'            => trans('app.'.$gallery->status),
            'created_at'        => format_date($gallery->created_at),
            'updated_at'        => format_date($gallery->updated_at),
        ];
    }
}